Transaction Result
curl --request GET \
--url https://api.eka.care/voice/api/v3/status/{txn_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/voice/api/v3/status/{txn_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/voice/api/v3/status/{txn_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.eka.care/voice/api/v3/status/{txn_id}")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.eka.care/voice/api/v3/status/{txn_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.eka.care/voice/api/v3/status/{txn_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"output": [
{
"template_id": "eka_emr_template",
"value": "eyJwcmVzY3JpcHRpb24iOiB7Im1lZGljYXRpb25zIjogW3sibmFtZSI6ICJkb2xvIiwgImZyZXF1ZW5jeSI6IHsicGF0dGVybl9pZCI6ICJmcC0xIiwgImRvc2UiOiBbIjEiLCAiMCIsICIxIl0sICJwZXJpb2QiOiAxLCAicGVyaW9kX3VuaXQiOiAiZGF5IiwgImZyZXF1ZW5jeSI6ICIzIiwgImN1c3RvbSI6ICIxLTAtMSJ9LCAiaW5zdHJ1Y3Rpb24iOiAiVGFrZSB0d2ljZSBhIGRheSIsICJpZCI6ICJsb2NhbGUtMmFiMWU5OGIxMzU4NzFhZjZjYjAxYjQ3MjE5NWNmZjQifV0sICJsYW5ndWFnZSI6ICJFTiJ9fQ==",
"type": "eka_emr",
"name": "EKA EMR Template",
"status": "success",
"errors": [],
"warnings": []
}
],
"additional_data": {
"mode": "dictation",
"doctor": {
"_id": "174097180967921"
},
"visitid": "09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782"
}
}
}{
"data": {
"output": [],
"additional_data": {}
}
}{
"data": {
"output": [
{
"template_id": "eka_emr_template",
"value": "",
"type": "eka_emr",
"name": "EKA EMR Template",
"status": "partial_success",
"errors": [
"Unable to extract medication dosage"
],
"warnings": [
"Low confidence in diagnosis section"
]
}
],
"additional_data": {}
}
}{
"error": {
"code": "transaction_not_found",
"msg": "Transaction doesn't exist"
}
}{
"error": "Unauthorized",
"message": "Invalid or missing authentication token"
}{
"error": {
"code": "system_error",
"msg": "Error in generating output file"
}
}Transcription Result
Retrieve the status and results of a transcription session using the session ID. This endpoint provides comprehensive information about the transcription process including:
- Current processing status
- Structured output data when available
- Template-specific results and status
- Error and warning details
The API implements intelligent polling to wait for completion and returns different HTTP status codes based on the processing outcome.
GET
/
voice
/
api
/
v3
/
status
/
{txn_id}
Transaction Result
curl --request GET \
--url https://api.eka.care/voice/api/v3/status/{txn_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/voice/api/v3/status/{txn_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/voice/api/v3/status/{txn_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.eka.care/voice/api/v3/status/{txn_id}")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.eka.care/voice/api/v3/status/{txn_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.eka.care/voice/api/v3/status/{txn_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"output": [
{
"template_id": "eka_emr_template",
"value": "eyJwcmVzY3JpcHRpb24iOiB7Im1lZGljYXRpb25zIjogW3sibmFtZSI6ICJkb2xvIiwgImZyZXF1ZW5jeSI6IHsicGF0dGVybl9pZCI6ICJmcC0xIiwgImRvc2UiOiBbIjEiLCAiMCIsICIxIl0sICJwZXJpb2QiOiAxLCAicGVyaW9kX3VuaXQiOiAiZGF5IiwgImZyZXF1ZW5jeSI6ICIzIiwgImN1c3RvbSI6ICIxLTAtMSJ9LCAiaW5zdHJ1Y3Rpb24iOiAiVGFrZSB0d2ljZSBhIGRheSIsICJpZCI6ICJsb2NhbGUtMmFiMWU5OGIxMzU4NzFhZjZjYjAxYjQ3MjE5NWNmZjQifV0sICJsYW5ndWFnZSI6ICJFTiJ9fQ==",
"type": "eka_emr",
"name": "EKA EMR Template",
"status": "success",
"errors": [],
"warnings": []
}
],
"additional_data": {
"mode": "dictation",
"doctor": {
"_id": "174097180967921"
},
"visitid": "09e4f00f-d665-4212-b77c-b2dd5f22bd92_1742560488782"
}
}
}{
"data": {
"output": [],
"additional_data": {}
}
}{
"data": {
"output": [
{
"template_id": "eka_emr_template",
"value": "",
"type": "eka_emr",
"name": "EKA EMR Template",
"status": "partial_success",
"errors": [
"Unable to extract medication dosage"
],
"warnings": [
"Low confidence in diagnosis section"
]
}
],
"additional_data": {}
}
}{
"error": {
"code": "transaction_not_found",
"msg": "Transaction doesn't exist"
}
}{
"error": "Unauthorized",
"message": "Invalid or missing authentication token"
}{
"error": {
"code": "system_error",
"msg": "Error in generating output file"
}
}This API is deprecated. Please use the new EkaScribe Protocol APIs (Create Session → Upload Audio → End Session) or the SDKs instead.
HTTP Status Codes
The API returns different HTTP status codes based on the processing outcome:| Status Code | Description | Scenario |
|---|---|---|
| 200 | Success | All templates processed successfully |
| 202 | Accepted | Transaction in progress |
| 206 | Partial Content | Some templates succeeded, others failed/partial |
| 400 | Bad Request | Invalid request or transaction not found |
| 500 | Internal Server Error | System failure or all templates failed |
Authorizations
Path Parameters
Was this page helpful?

